This URL moves the given hashes into block list.
Resource URL
PUT /advancedmalware/allowedhashes/multipleHash/takeaction/block
Request Parameters
URL Parameters: None
Payload Request Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| List of file hashes | StringList | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Status | Number |
Example
Request
PUT https://<NSM_IP>/sdkapi/advancedmalware/allowedhashes/multipleHash/takeaction/block
Payload
{
"hashes": ["1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa16",
"1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa17",
"1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa18"]
}Response
{
"status": 1
}
Error Information
Following error codes are returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 4903 | Invalid action |
2 | 400 | 3401 | Invalid filehash value |